--- a/prefs.c
+++ b/prefs.c
@@ -203,7 +203,7 @@
 	
 	while(*rname!=NULL){
 		char classbuff[100], infobuff[100];
-		sprintf(classbuff,*rname);
+		strcpy(classbuff,*rname);
 
 		GetXtrmString(*rname, classbuff,infobuff);
 		if(strcmp(infobuff, "NOT SET")==0){
--- a/radsearch.c
+++ b/radsearch.c
@@ -150,7 +150,7 @@
 #endif
 
 		printf("DEBUG: copying %d bytes from %p to %p\n",
-		       (newcount+1)*sizeof(XChar2b),newactivelist,activelist);
+		       (int)((newcount+1)*sizeof(XChar2b)),newactivelist,activelist);
 
 		bcopy(newactivelist,activelist,(newcount+1)*sizeof(XChar2b));
 #ifdef DEBUG
